Skip to main content
GET
List Vault History

Authentication

✅ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
✅ Service Account

Required Permissions

Vaults:Read: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

Path Parameters

vaultId
string
required

Vault id.

Required string length: 1 - 64
Pattern: ^vlt-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$

Query Parameters

limit
integer
default:50

Maximum number of items to return.

Required range: 1 <= x <= 500
paginationToken
string

Opaque token used to retrieve the next page. Returned as nextPageToken from the previous request.

Minimum string length: 1
network

Only items on these networks. Repeat the parameter to pass several.

Available options:
ArbitrumOne,
ArbitrumSepolia,
Arc,
ArcTestnet,
Areum,
AvalancheC,
AvalancheCFuji,
Base,
BaseSepolia,
Berachain,
BerachainBepolia,
Bitcoin,
BitcoinSignet,
BitcoinTestnet4,
Bob,
BobSepolia,
Bsc,
BscTestnet,
Celo,
CeloSepolia,
Codex,
CodexSepolia,
Ethereum,
EthereumClassic,
EthereumClassicMordor,
EthereumSepolia,
EthereumHoodi,
FlareC,
FlareCCoston2,
FlowEvm,
FlowEvmTestnet,
Ink,
InkSepolia,
Monad,
MonadTestnet,
Optimism,
OptimismSepolia,
Plasma,
PlasmaTestnet,
Plume,
PlumeSepolia,
Polygon,
PolygonAmoy,
Rayls,
RaylsTestnet,
Robinhood,
RobinhoodSepolia,
SeiAtlantic2,
SeiPacific1,
Solana,
SolanaDevnet,
Sonic,
SonicTestnet,
Tempo,
TempoModerato,
Tsc,
TscTestnet1,
Xdc,
XdcApothem,
XLayer,
XLayerSepolia
tid

Only items moving these assets, by token identifier. Repeat the parameter to pass several. Combine with network, as a token identifier can exist on several networks.

kind

Only items of these kinds. Repeat the parameter to pass several.

Available options:
IncomingTransfer,
OutgoingTransfer,
LockCreated,
LockDeleted

Response

200 - application/json

Success

items
(Incoming Transfer · object | Outgoing Transfer · object | Lock · object)[]
required

Current page items.

Vault history item: an incoming or outgoing transfer with its current status, or a lock event, with the related quarantine, transfer request or lock embedded.

nextPageToken
string

token to use as paginationToken to request the next page.

Last modified on October 9, 2026